Description

Related issues:

related to Core - Task # 51436: Standalone unit test runner Resolved 2014-02-10
related to Core - Bug # 53476: Better mocking of $§GLOBALS['LANG"] Resolved 2013-11-09

Associated revisions

Revision ac6599fc - 2013-11-12 20:07 - Christian Kuhn

[TASK] Refactor PageRenderer tests

The existing tests of ext:core/Page/PageRenderer are in fact
functional tests since most of them trigger lots of dependencies
and call the main APl method "render()" to check for something.

The patch moves most detail tests to two general functional tests
doing the main work and adds some more functional tests for more
specific cases.

The unit tests are stripped down to those parts that test only single
methods or smaller systems with proper mocking.

In effect, the full unit test suite does no longer depend on
initialization of §GLOBALS['LANG, it is now removed from unit

test bootstrap.

Change-Id: 19f3f54ba52673e16bfcd303b46755e079d240de6
Resolves: #53558

Related: #51436
Releases: 6.2

Reviewed-on: https://review.typo3.org/25304

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-11-12 13:35 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/25304

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/25304

#2 - 2013-11-12 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ac6599fc5ce7cdcd3aaeb1210bcfcc6264623607.
